<?php namespace EscapeWork\Manager\Banners\Models;

use EscapeWork\Manager\Banners\Extensions\BannerGroupSizeCollection;
use EscapeWork\LaravelHelpers\Eloquent;

class BannerGroupSize extends Eloquent
{

    /**
     * Tabela
     */
    protected $table = 'banner_group_sizes';

    /**
     * Timestamps
     */
    public $timestamps = false;

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'banner_group_id',
        'width',
        'height',
    );

    /**
     * New Collection
     */
    public function newCollection(array $models = array())
    {
        return new BannerGroupSizeCollection($models);
    }
}
