<?php namespace EscapeWork\Manager\Banners\Models;

use EscapeWork\LaravelHelpers\Eloquent;

class BannerGroup extends Eloquent
{

    /**
     * Tabela
     */
    protected $table = 'banner_groups';

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'title',
        'created_at',
        'updated_at',
    );

    /**
     * BanenrGroupSizes relashinship
     */
    public function sizes()
    {
        return $this->hasMany('EscapeWork\Manager\Banners\Models\BannerGroupSize', 'banner_group_id');
    }
}
